## org.apache.mahout.cf.taste.neighborhood
Interface UserNeighborhood

All Superinterfaces:
  Refreshable

All Known Implementing Classes:
  CachingUserNeighborhood, NearestNUserNeighborhood, ThresholdUserNeighborhood

    public interface UserNeighborhood

extends Refreshable

Implementations of this interface compute a "neighborhood" of users like a given user. This neighborhood can be used to compute recommendations then.

Method Summary
`long[]` `getUserNeighborhood(long userID)`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### getUserNeighborhood

    long[] getUserNeighborhood(long userID)
                               throws TasteException

  Parameters:
    `userID` - ID of user for which a neighborhood will be computed
  Returns:
    IDs of users in the neighborhood
  Throws:
    `TasteException` - if an error occurs while accessing data

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.